Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTreeWidgetItemIterator.IteratorFlag

    java.lang.Object
      java.lang.Enum<QTreeWidgetItemIterator.IteratorFlag>
          com.trolltech.qt.gui.QTreeWidgetItemIterator.IteratorFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTreeWidgetItemIterator.IteratorFlag>

Enclosing class:
  QTreeWidgetItemIterator

    public static enum QTreeWidgetItemIterator.IteratorFlag

extends java.lang.Enum<QTreeWidgetItemIterator.IteratorFlag>
implements QtEnumerator

These flags can be passed to a `QTreeWidgetItemIterator` constructor (OR-ed together if more than one is used), so that the iterator will only iterate over items that match the given flags.

Enum Constant Summary
`All` Internal.
`Checked` Internal.
`Disabled` Internal.
`DragDisabled` Internal.
`DragEnabled` Internal.
`DropDisabled` Internal.
`DropEnabled` Internal.
`Editable` Internal.
`Enabled` Internal.
`HasChildren` Internal.
`Hidden` Internal.
`NoChildren` Internal.
`NotChecked` Internal.
`NotEditable` Internal.
`NotHidden` Internal.
`NotSelectable` Internal.
`Selectable` Internal.
`Selected` Internal.
`Unselected` Internal.
`UserFlag` Internal.

Method Summary
`static QTreeWidgetItemIterator.IteratorFlags` | `createQFlags(QTreeWidgetItemIterator.IteratorFlag... values)`
`static QTreeWidgetItemIterator.IteratorFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTreeWidgetItemIterator.IteratorFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTreeWidgetItemIterator.IteratorFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### All

    public static final QTreeWidgetItemIterator.IteratorFlag All

  Internal.

### Hidden

    public static final QTreeWidgetItemIterator.IteratorFlag Hidden

  Internal.

### NotHidden

    public static final QTreeWidgetItemIterator.IteratorFlag NotHidden

  Internal.

### Selected

    public static final QTreeWidgetItemIterator.IteratorFlag Selected

  Internal.

### Unselected

    public static final QTreeWidgetItemIterator.IteratorFlag Unselected

  Internal.

### Selectable

    public static final QTreeWidgetItemIterator.IteratorFlag Selectable

  Internal.

### NotSelectable

    public static final QTreeWidgetItemIterator.IteratorFlag NotSelectable

  Internal.

### DragEnabled

    public static final QTreeWidgetItemIterator.IteratorFlag DragEnabled

  Internal.

### DragDisabled

    public static final QTreeWidgetItemIterator.IteratorFlag DragDisabled

  Internal.

### DropEnabled

    public static final QTreeWidgetItemIterator.IteratorFlag DropEnabled

  Internal.

### DropDisabled

    public static final QTreeWidgetItemIterator.IteratorFlag DropDisabled

  Internal.

### HasChildren

    public static final QTreeWidgetItemIterator.IteratorFlag HasChildren

  Internal.

### NoChildren

    public static final QTreeWidgetItemIterator.IteratorFlag NoChildren

  Internal.

### Checked

    public static final QTreeWidgetItemIterator.IteratorFlag Checked

  Internal.

### NotChecked

    public static final QTreeWidgetItemIterator.IteratorFlag NotChecked

  Internal.

### Enabled

    public static final QTreeWidgetItemIterator.IteratorFlag Enabled

  Internal.

### Disabled

    public static final QTreeWidgetItemIterator.IteratorFlag Disabled

  Internal.

### Editable

    public static final QTreeWidgetItemIterator.IteratorFlag Editable

  Internal.

### NotEditable

    public static final QTreeWidgetItemIterator.IteratorFlag NotEditable

  Internal.

### UserFlag

    public static final QTreeWidgetItemIterator.IteratorFlag UserFlag

  Internal.

Method Detail

### values

    public static final QTreeWidgetItemIterator.IteratorFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTreeWidgetItemIterator.IteratorFlag c : QTreeWidgetItemIterator.IteratorFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTreeWidgetItemIterator.IteratorFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTreeWidgetItemIterator.IteratorFlags createQFlags(QTreeWidgetItemIterator.IteratorFlag... values)

### resolve

    public static QTreeWidgetItemIterator.IteratorFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD